Bug 258809 - misc/pdmenu: update to 1.3.6 and unbreak with -fno-common
Summary: misc/pdmenu: update to 1.3.6 and unbreak with -fno-common
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yasuhiro Kimura
URL: http://joeyh.name/code/pdmenu/news/ve...
Keywords: easy
Depends on:
Blocks:
 
Reported: 2021-09-30 14:49 UTC by Robert Clausecker
Modified: 2021-10-28 07:15 UTC (History)
1 user (show)

See Also:
yasu: merge-quarterly+


Attachments
misc/pdmenu: update to 1.3.6 and unbreak (1.60 KB, patch)
2021-09-30 14:49 UTC, Robert Clausecker
fuz: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Clausecker 2021-09-30 14:49:10 UTC
Created attachment 228288 [details]
misc/pdmenu: update to 1.3.6 and unbreak

Update misc/pdmenu to 1.3.6.

New upstream hosted on the same IP as the author's git repo (probably the same git service).  This upstream also used by OpenBSD.

Update fixes build with -fno-common (default since FreeBSD 13).

Take over maintainership of this unmaintained port.

Tested with Poudriere on i386 amd64 armv7 arm64 FreeBSD 13.0-RELEASE.

Please MFH if 2021Q4 has already been released.
Comment 1 Robert Clausecker 2021-10-17 19:04:37 UTC
Comment on attachment 228288 [details]
misc/pdmenu: update to 1.3.6 and unbreak

maintainer timeout.
Comment 2 Yasuhiro Kimura freebsd_committer 2021-10-26 09:36:22 UTC
Take.
Comment 3 commit-hook freebsd_committer 2021-10-27 15:57:15 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c32385406c3a5169b3e6dba473767e24168c8703

commit c32385406c3a5169b3e6dba473767e24168c8703
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-09-30 14:43:55 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-10-27 15:53:38 +0000

    misc/pdmenu: update to 1.3.6

    * Pass maintainership to submitter
    * Switch to new upstream
    * Fix build with FreeBSD 13 or later (-fno-common)
    * Add NLS option

    ChangeLog:      http://joeyh.name/code/pdmenu/news/version_1.3.5/ (1.3.5)
    ChangeLog:      http://joeyh.name/code/pdmenu/news/version_1.3.6/ (1.3.6)
    PR:             258809
    MFH:            2021Q4
    Differential Revision:  https://reviews.freebsd.org/D32662

 misc/pdmenu/Makefile  | 16 ++++++----------
 misc/pdmenu/distinfo  |  5 +++--
 misc/pdmenu/pkg-plist | 10 +++++-----
 3 files changed, 14 insertions(+), 17 deletions(-)
Comment 4 commit-hook freebsd_committer 2021-10-27 16:02:19 UTC
A commit in branch 2021Q4 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=89091e4b0e3a6ef4a843a11a253b47d619e3588f

commit 89091e4b0e3a6ef4a843a11a253b47d619e3588f
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-09-30 14:43:55 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-10-27 16:00:31 +0000

    misc/pdmenu: update to 1.3.6

    * Pass maintainership to submitter
    * Switch to new upstream
    * Fix build with FreeBSD 13 or later (-fno-common)
    * Add NLS option

    ChangeLog:      http://joeyh.name/code/pdmenu/news/version_1.3.5/ (1.3.5)
    ChangeLog:      http://joeyh.name/code/pdmenu/news/version_1.3.6/ (1.3.6)
    PR:             258809
    MFH:            2021Q4
    Differential Revision:  https://reviews.freebsd.org/D32662

    (cherry picked from commit c32385406c3a5169b3e6dba473767e24168c8703)

 misc/pdmenu/Makefile  | 16 ++++++----------
 misc/pdmenu/distinfo  |  5 +++--
 misc/pdmenu/pkg-plist | 10 +++++-----
 3 files changed, 14 insertions(+), 17 deletions(-)
Comment 5 Yasuhiro Kimura freebsd_committer 2021-10-27 16:12:04 UTC
Committed and merged to quarterly branch. Thanks!